%define ext_guid 'moonlight@novell.com'


Name: firefox-moonlight
License: MPL
Group: Applications/Internet
Summary: Moonlight - Microsoft Silverlight opensource implementation
Version: 2.2
Release: 6%{?dist}
URL: http://www.go-mono.com/moonlight/
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
Source0: novell-moonlight-%{version}-i586.xpi
Source1: novell-moonlight-%{version}-x86_64.xpi
Source100: mozilla-extension-update.sh
ExclusiveArch: i386 x86_64
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: unzip
Obsoletes: firefox-add-on-moonlight
Requires: firefox
Requires: compat-expat2 >= 2.0.1

%description
Moonlight - Silverlight for Linux: a free plug-in.
Bringing a new level of interactivity wherever the Web works.

Moonlight is an open source implementation of 
Microsoft Silverlight for Unix systems. With
Moonlight you can access videos, applications and
content created for Silverlight on Linux. 

%define update_firefox \\\
  %{_libdir}/%{name}/mozilla-extension-update.sh --appname firefox \\\
  --extname %{ext_guid} --basedir %{_libdir} --extpath %{_libdir}/%{name} --action


%post
%{update_firefox} install ||:

%preun
if [ $1 = 0 ]; then
 %{update_firefox} remove ||:
fi 

%triggerin -- firefox
%{update_firefox} install ||:

%files
%defattr(-,root,root,-)
%{_libdir}/%{name}
%{_libdir}/%{name}/*

%build

%install

%define real_src %{SOURCE0}
%ifarch x86_64
%define real_src %{SOURCE1}
%endif

mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}
unzip -qod $RPM_BUILD_ROOT%{_libdir}/%{name} %{real_src}
install -p -m 755 %{SOURCE100} $RPM_BUILD_ROOT%{_libdir}/%{name}/mozilla-extension-update.sh

%changelog

* Thu Jun 17 2010 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 2.2
- Initial release for slc5
- Modeled this package on Lubomir Rintel one from EPEL for thunderbird-lightning.
